
Figure - Bug #118154
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试144小时，CRASH: com.android.settings (30)
2023-05-22 18:47 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: 0106

Reproducibility: Rarely Fixed Version: 2023-05-24

Test Type: Monkey Test Root cause: AndroidX 库问题。

Description

【错误信息】

CRASH: com.android.settings (pid 27764)

// Short Msg: java.lang.IllegalArgumentException

// Long Msg: java.lang.IllegalArgumentException: Tmp detached view should be removed from RecyclerView before it can be recycled:

PreferenceViewHolder{4a05e17 position=-1 id=-1, oldPos=-1, pLpos:-1 removed tmpDetached no parent}

androidx.recyclerview.widget.RecyclerView{87cafb7 VFED.V... .F.....D 0,0-1554,780 #7f0a05be app:id/recycler_view aid=1073741971},

adapter:com.android.settings.widget.HighlightablePreferenceGroupAdapter@92ac324,

layout:androidx.recyclerview.widget.LinearLayoutManager@823e8d,

context:com.android.settings.homepage.SettingsHomepageActivity@9ab6e6a

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys

// Build Changelist: 3388

// Build Time: 1684175970000

// java.lang.IllegalArgumentException: Tmp detached view should be removed from RecyclerView before it can be recycled:

PreferenceViewHolder{4a05e17 position=-1 id=-1, oldPos=-1, pLpos:-1 removed tmpDetached no parent}

androidx.recyclerview.widget.RecyclerView{87cafb7 VFED.V... .F.....D 0,0-1554,780 #7f0a05be app:id/recycler_view aid=1073741971},

adapter:com.android.settings.widget.HighlightablePreferenceGroupAdapter@92ac324,

layout:androidx.recyclerview.widget.LinearLayoutManager@823e8d,

context:com.android.settings.homepage.SettingsHomepageActivity@9ab6e6a

//     at androidx.recyclerview.widget.RecyclerView$Recycler.recycleViewHolderInternal(RecyclerView.java:6745)

//     at androidx.recyclerview.widget.RecyclerView.removeAnimatingView(RecyclerView.java:1529)

//     at androidx.recyclerview.widget.RecyclerView$ItemAnimatorRestoreListener.onAnimationFinished(RecyclerView.java:13234)

//     at androidx.recyclerview.widget.RecyclerView$ItemAnimator.dispatchAnimationFinished(RecyclerView.java:13736)

//     at androidx.recyclerview.widget.SimpleItemAnimator.dispatchAddFinished(SimpleItemAnimator.java:302)

//     at androidx.recyclerview.widget.DefaultItemAnimator$5.onAnimationEnd(DefaultItemAnimator.java:247)

//     at android.view.ViewPropertyAnimator$AnimatorEventListener.onAnimationEnd(ViewPropertyAnimator.java:1112)

//     at android.animation.Animator$AnimatorListener.onAnimationEnd(Animator.java:555)

//     at android.animation.ValueAnimator.endAnimation(ValueAnimator.java:1250)

//     at android.animation.ValueAnimator.doAnimationFrame(ValueAnimator.java:1492)

//     at android.animation.AnimationHandler.doAnimationFrame(AnimationHandler.java:146)

//     at android.animation.AnimationHandler.access$100(AnimationHandler.java:37)

//     at android.animation.AnimationHandler$1.doFrame(AnimationHandler.java:54)

//     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1118)

//     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

//     at android.view.Choreographer.doFrame(Choreographer.java:854)
//     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-22 18:56 - CD TEST-方永红

- Parent task set to #113422

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118149-155

#2 - 2023-05-23 18:51 - CD FW-廖涛

■ Current conclusion

从日志看，是系统组件 androidx 库中抛出的异常，初步分析可能是系统异常导致的，需要进一步定位问题产生原因以及修复方案。

■ Next action

定位问题产生原因以及修复方案。

#3 - 2023-05-24 17:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202295 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix monkey test crash problem.TC-RID: 1201-0201813IssueID: TS-R-BUG-118154Change-Id: I9d4a9e1e6e1fdd60f21487b667b6a70d6974ebf7

#4 - 2023-05-24 17:12 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-24

- Root cause set to AndroidX 库问题。
■ Current conclusion

已处理，代码已入库。

■ My analysis

AndroidX 库问题。根据日志，在 View detachde 后，去掉 View 的动画，防止动画执行完成后的后置操作执行。

■ Next action

测试验证。

#5 - 2023-06-01 10:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0106

6.1

验证通过

#6 - 2023-06-01 10:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
